
Figure - Bug #118896
【AF】【设置】95版本升级到113版本后，再使用QFIL刷回95版本设置中搜索框消失
2023-06-26 14:25 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-26

Priority: Urgent Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 113release版本（625）

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

【测试步骤】

连接中控，网络正常，通过中控升级从95版本升级到113版本

【预期结果】

升级到113版本后所有功能可正常使用

【测试结果】

设置中的搜索没有了

History

#1 - 2023-06-26 14:38 - 物联网测试组_CDTS  唐霞 

- File 118896.rar added

#2 - 2023-06-26 15:47 - 物联网测试组_CDTS  唐霞 

- Priority changed from High to Urgent

- Severity changed from Major to Critical

#3 - 2023-06-26 16:23 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【AF】【设置】95版本升级到113版本后，设置中的搜索没有了 to 【AF】【设置】95版本升级到113版本后，再使用QFIL刷回95版本

设置中搜索框消失

#4 - 2023-06-26 17:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#5 - 2023-06-27 17:42 - CD FW王武军

【】当前状态

搜索框消失不见的逻辑如下

if (!WizardManagerHelper.isDeviceProvisioned(activity)

        || !Utils.isPackageEnabled(activity, getSettingsIntelligencePkgName(activity))

        || WizardManagerHelper.isAnySetupWizard(activity.getIntent())) {

            final ViewGroup parent = (ViewGroup) toolbar.getParent();

            if (parent != null) {

                parent.setVisibility(View.GONE);

            }

            return;
        }

影响的有3个因素：

1）开机设置完成后的状态值：device_provisioned ；

2）SettingsIntelligence 应用组件是否可用 ；

3）是否处于开机设置的某种状态 ；

数据库文件可以获取到如下信息：

settings_global.xml

<setting id="198" name="device_provisioned" value="0" package="android" defaultValue="0" defaultSysSet="true" />

settings_secure.xml

<setting id="1017" name="user_setup_complete" value="0" package="android" defaultValue="0" defaultSysSet="true" />

然而正常完成了开机设置引导后：device_provisioned 和 user_setup_complete 是会被设置为1的，出问题时是0，那么就触发了

1）开机设置完成后的状态值：device_provisioned ；这个条件，进而隐藏了搜索框。

问题发生是在113通过qfile刷回95版本，我怀疑是刷机过程中数据有影响，或者开机引导有逻辑问题

【】下一步

1）需要测试辅助帮忙提供下复现的日志，已经与测试沟通后续会完成；

2）问题调查方向应该是：数据继承和开机引导；

3）分析日志，从日志中能够找到开机引导相关的日志信息；

#6 - 2023-06-28 19:19 - CD FW王武军

【】当前状态

1、本地复现问题

围绕110，111，112，113进行展开

1）测试方式：刷110，oat到111，从111通过qfile刷回110，问题复现。

测试过程中抓取了数据库的信息：从110oat到111时，数据库中：device_provisioned和user_setup_complete都是1

从111通过qfile刷回110，数据库中：device_provisioned和user_setup_complete都是0

那么就是在oat之后用qfile刷机时，数据库的数据被清理了（在刷机的环节就已经清理了）

2）测试方式：刷110，oat到111，从111通过qfile刷回112，问题不复现。

3）测试方式：刷110，qfile直接刷到111，qfile从111刷回110，问题不复现。

那么经过测试的情况综合来看：问题出现的情况是：oat之后，刷回低版本，问题必出现，数据在qfile刷机过程就被清理了。

2、从逻辑层面调查

上层关于device_provisioned和user_setup_complete值的处理，是在第一次开机引起完成后，会将该值写为1。

在恢复出厂设置时，该值才会被重写为0。逻辑是闭环的，不会因为刷机而影响值的设置。

综合小结：该问题应该与oat升级有关系，在oat之后为什么在刷回低版本时会将数据进行清理，这个问题需要确认？
【】下一步

后续需要bsp处理oat或者刷机相关的同事跟进分析。

#7 - 2023-06-28 19:25 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW王武军 to CDTS-TEST 周婷

- Need_Info changed from -- to TEST

Hi 周婷

如会议上沟通，此类问题不处理，请确认

#8 - 2023-06-29 10:58 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

#9 - 2023-07-11 16:42 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to 移动测试一组_CDTS 刘强

#10 - 2023-07-11 18:38 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#11 - 2023-07-11 18:38 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230626-142348.png 968 KB 2023-06-26 物联网测试组_CDTS  唐霞 

118896.rar 28 KB 2023-06-26 物联网测试组_CDTS  唐霞 
